## The Interactive editor for Python

Main website: [http://iep-project.org](http://iep-project.org)

API docs: [http://iep.readthedocs.org](http://iep.readthedocs.org)


### Description

IEP (pronounced as eep) is a cross-platform Python IDE focused on
interactivity and introspection, which makes it very suitable for
scientific computing. Its practical design is aimed at simplicity and
efficiency.

It consists of two main components, the editor and the shell, and uses
a set of pluggable tools to help the programmer in various ways. Some
example tools are source structure, project manager, interactive help,
workspace ...

IEP is written in (pure) Python 3 and uses the Qt GUI toolkit. Binaries
are provided for all major operating system. After installing IEP, it
can be used to execute code on any Python version available on your
system (Python 2.4 - 3.x, including Pypy).


### Installation

IEP runs on Python3 and needs pyzolib and Pyside or PyQt4. On a modern
OS these should be easy to obtain. One can then install IEP with
`sudo python3 -m pip install iep`

We also provide binaries for Windows, Linux and OS X.


### License

IEP is free and open source. BSD licensed.


### About us

The development of IEP is coordinated by Almar Klein. See contributors.txt
for a complete list of people who helped develop IEP.


### Contributions

If you want to help out, create a pull request or start a discusiion
in our mailing list.


### More information

* main website: http://iep-project.org
* mailing list: http://groups.google.com/group/iep_
* code repository: http://bitbucket.org/iep-project/iep
* wiki: http://bitbucket.org/iep-project/iep/wiki
